Subject: Problem with .FAS file on SunOS4

From: [email-masked]
Date: Tue, 22 Nov 1994 13:44:52 +0000

Hi,
  I have a SunOS4 '.fas' file that I am having trouble using. When
I first tried loading it I got the message:

*** - This file was produced by another lisp version, must be recompiled.

Since I do not have the source code for this file, and being a bit
of a hacker, I thought I would have a look at the file. The first thing
that struck me was a number that looked suspiciously like a date in
the first line. So I compiled a simple file and compared them. Sure
enough this number had changed. I then decided to alter the date in
the original '.fas' file to be the same as in the simple one.

The file now starts to load but I then get the following message:

*** - UNUSE-PACKAGE: argument should be a package or a package name, not #<UNBOUND>

The original '.fas' file has a first line of:
	(SYSTEM::VERSION '(SYSTEM::CLISP3 9. LISP:T 290893.))
and the simple one of:
	(SYSTEM::VERSION '(SYSTEM::CLISP3 9. LISP:T 101293.))

Does this mean that I cannot use this file, or can I get a copy of an
earlier compiler to run it on.

Thanks for any help,

David.

-- 
-=- -=- -=- -=- -=- -=- -=- -=- -=- -=- -=- -=- -=- -=- -=-
David Arnold                             ([email-masked])
Dept. Computer Science                   +44 (0)970-622449
University of Wales,Aberystwyth, Dyfed SY23 3DB, UK.
http://www.dcs.aber.ac.uk/~daa93
GCS -d+ p c++@ !l e++ m+++(*) s+/- n+ h(-) f !g w- t+@ y? 
-=- -=- -=- -=- -=- -=- -=- -=- -=- -=- -= -=- -=-- -=- -=-